//
//  ViewController.swift
//  Alternate Icons
//
//  Created by Sebastien on 30/04/2017.
//  Copyright © 2017 Sebastien. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func changeIco (ico : String) {
        if #available(iOS 10.3, *) {
            if UIApplication.shared.supportsAlternateIcons {
                UIApplication.shared.setAlternateIconName(ico) { error in
                    if let error = error {
                        print(error.localizedDescription)
                    }
                }
            }
        }
    }
    
    func resetIco () {
        if #available(iOS 10.3, *) {
            if UIApplication.shared.supportsAlternateIcons {
                UIApplication.shared.setAlternateIconName(nil) { error in
                    if let error = error {
                        print(error.localizedDescription)
                    }
                }
            }
        }
        
    }
    
        
    @IBAction func UIBlueAction(_ sender: Any) {
      changeIco(ico: "AppleBlue")
    }
    @IBAction func UIRedAction(_ sender: Any) {
        changeIco(ico: "AppleRed")
    }
    
    @IBAction func UIGreenAction(_ sender: Any) {
        changeIco(ico: "AppleGreen")
    }
   

    @IBAction func UIResetAction(_ sender: Any) {
        resetIco()
    }
}

